$block: brief;

.#{$block} {
	background: $gray-100;

	&__step {
		display: none;

		&.active {
			display: block;
		}
	}

	&__row {
		min-height: 100vh;
		display: flex;
		flex-direction: column;
	}

	&__info {
		position: relative;
		padding-top: 110px;
	}

	&__content {
		padding: 30px 10px;
		background: #fff;
		flex-grow: 1;

		&--gray {
			background: $gray-100;
		}

		&--container {
			min-height: 240px;
		}
	}

	&__header {
		margin-bottom: 30px;
		position: relative;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
		//	max-width: 200px;
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}
	}

	&__steps {
		top: 110px;
		right: 0;
		width: 70px;
		display: flex;
		align-items: center;
		position: absolute;
		font-weight: 700;
		font-family: $font-family-head;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
		justify-content: space-between;

		&:before {
			top: calc(50% - 2px);
			left: calc(50% - 18px);
			content: '';
			width: 36px;
			height: 1px;
			background: $red;
			position: absolute;
		}
	}

	&__nav {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	&__button {
		border: none;
		outline: none;
		font-weight: 700;
		text-decoration: none;
		background: transparent;
		font-family: $font-family-head;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);

		&--prev {
			color: $gray-400;
			transition: .2s;

			&:hover {
				color: $red;
				transition: .2s;
			}
		}

		&--next {
			color: $black;
			transition: .2s;

			&:hover {
				color: $red;
				transition: .2s;
			}
		}
	}

	&__success {
		margin-bottom: 40px;

		&:last-child {
			margin-bottom: 0;
		}

		&--title {
			margin-bottom: 10px;
			font-size: font-size-rel(14px);
			line-height: font-size-rel(20px);
		}

		&--phone {
			color: $black;
			white-space: nowrap;
			text-decoration: none;
			font-weight: 700;
			font-size: font-size-rel(16px);
			line-height: font-size-rel(20px);

			&:hover {
				color: $black;
				text-decoration: none;
			}
		}

		&--social {
			margin: 0;
			padding: 0;
			font-size: 0;
			line-height: 0;
			list-style: none;
			display: flex;
			align-items: center;

			li {
				margin-right: 30px;

				&:last-child {
					margin-right: 0;
				}

				a {
					display: inline-block;
					height: 20px;

					svg {
						fill: $black;
					}

					&:hover {

						svg {
							fill: $red;
						}
					}
				}
			}
		}
	}

	&__list {
		margin: 0;
		padding: 0 20px 0 0;
		list-style: none;

		&--item {
			padding: 10px 0;
			position: relative;
		}

		&--divider {
			color: $black;
			opacity: 0.2;
			font-weight: 700;
			font-size: font-size-rel(22px);
			line-height: font-size-rel(24px);
		}
	}

	&__data {
		margin-bottom: 30px;
	}

	&__scale {
		margin: 0;
		padding: 0;
		list-style: none;

		&--item {
			z-index: 10;
			padding: 10px 0;
			position: relative;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__info {
			padding-top: 160px;
		}

		&__header {
			margin-bottom: 80px;

			&--label {
				text-align: right;
				margin-bottom: 50px;
				font-size: font-size-rel(18px);
			}

			&--title {
				margin-left: 160px;
				line-height: 120%;
				font-size: font-size-rel(32px);
			}
		}

		&__content {
			padding: 50px 40px;
		}

		&__button {
			font-size: font-size-rel(18px);
		}

		&__success {

			&--title {
				margin-bottom: 20px;
				font-size: font-size-rel(16px);
			}

			&--phone {
				font-size: font-size-rel(18px);
			}
		}

		&__data {

		}
	}

	@media (min-width: $screen-md-min) {

		&__row {
			flex-direction: row;
		}

		&__info {
			z-index: 50;
			position: relative;

			padding: 160px 0;
			width: 55%;
			display: flex;
			flex-direction: column;

			&--container {
				padding-right: 20px;
				margin: auto 0;
			}
		}

		&__content {
			width: 45%;
			z-index: 100;
			position: relative;
			display: flex;
			flex-direction: column;

			&:before {
				top: 0;
				left: 100%;
				bottom: 0;
				content: '';
				width: 2000px;
				display: block;
				position: absolute;
				background: $white;
			}

			&--gray {

				&:before {
					display: none;
				}
			}

			&--transparent {
				background: transparent;

				&:before {
					display: none;
				}
			}

			&--container {
				margin: auto 0;
				min-height: inherit;
			}
		}

		&__header {

			&--title {
				font-size: font-size-rel(40px);
			}
		}

		&__steps {
			left: 0;
			top: auto;
			bottom: 40px;
			position: absolute;
		}

		&__nav {
			left: -100px;
			bottom: 40px;
			width: 210px;
			position: absolute;
		}

		&__list {
			padding: 0;
			display: flex;
			flex-wrap: wrap;

			li {
				padding: 5px 0;
				margin-right: 10px;
			}
		}

		&__data {
			margin: auto 0;
			padding-top: 120px;
			position: relative;
		}

		&__scale {
			top: 100%;
			right: 0;
			left: -408px;
			position: absolute;
			display: flex;

			&:before {
				left: 0;
				top: 50%;
				right: -1000px;
				content: '';
				height: 1px;
				display: block;
				position: absolute;
				background: $black;
				opacity: 0.1;
			}

			&--item {
				padding: 0;
				flex-grow: 1;
			}

		}

		&__info {

			&--bottom {
				padding-top: 140px;
				padding-bottom: 200px;

				.brief__header--title {
					margin-right: -300px;
				}
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__content {
			padding-right: 0;
		}

		&__list {

			&--divider {
				line-height: 130%;
				font-size: font-size-rel(28px);
			}
		}

		&__scale {
			left: -515px;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__header {

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__list {

			&--divider {
				line-height: 130%;
				font-size: font-size-rel(36px);
			}
		}

		&__data {
			padding-top: 180px;
		}

		&__scale {
			left: -580px;

			&:before {
				top: calc(50% + 6px);
			}
		}

		&__info {

			&--bottom {

			}
		}
	}
}

.brief-elem {
	font-size: 0;
	line-height: 0;
	display: block;
	font-weight: 400;
	position: relative;
	cursor: pointer;

	input {
		top: 0;
		left: 0;
		width: 1px;
		height: 1px;
		opacity: 0;
		overflow: hidden;
		visibility: hidden;
		position: absolute;
		display: inline-block;
	}

	&__text {
		color: $black;
		opacity: 0.2;
		display: flex;
		transition: .3s;
		align-items: center;
		justify-content: space-between;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(29px);

		&:hover {
			opacity: 0.6;
			transition: .3s;
		}
	}

	&__value {
		left: 0;
		font-weight: 700;
		position: relative;
		white-space: nowrap;
		display: block;
		font-size: font-size-rel(22px);
		transition: .3s;

		&:before {
			top: -15px;
			left: -20px;
			content: '';
			width: 20px;
			height: 20px;
			opacity: 0;
			visibility: hidden;
			position: absolute;
			background: url("../img/nav__hover.svg") 50% 50% no-repeat;
			background-size: cover;
			transition: .3s;
		}
	}

	&__description {
		white-space: nowrap;
		display: block;
	}

	input:checked + .brief-elem__text {
		color: $red;
		opacity: 1;
		transition: .3s;

		.brief-elem__value {
			left: 20px;
			transition: .3s;

			&:before {
				opacity: 1;
				visibility: visible;
				transition: .3s;
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__text {
			display: block;
		}

		&__value {
			opacity: 0;
			padding-bottom: 42px;
		}

		&__description {
			font-size: font-size-rel(14px);
			line-height: font-size-rel(20px);
		}

		input:checked + .brief-elem__text {

			&:before {
				left: 0;
				top: 50%;
				content: '';
				height: 1px;
				width: 4000px;
				position: absolute;
				background: $black;
			}

			.brief-elem__value {
				left: 0;
				opacity: 1;
				transition: .3s;

				&:before {
					display: none;
				}
			}
		}
	}

	@media (min-width: $screen-xl-min) {

		&__value {
			font-size: font-size-rel(36px);
			line-height: font-size-rel(50px);
		}

		&__description {
			font-size: font-size-rel(16px);
			line-height: font-size-rel(20px);
		}

		input:checked + .brief-elem__text {

			&:before {
				top: calc(50% + 6px);
			}
		}
	}
}